CREATE FUNCTION "DBA"."getid_orglist"( )
returns integer
begin
  declare li_return integer;
  select max(orgnr) + 1 into li_return from orglist;
  if li_return is null or li_return < 1 then
    set li_return=1;
    while exists(select 1 from orglist where orgnr = li_return) loop
      set li_return=li_return+1
    end loop
  end if;
  return(li_return)
end